put

/aggregation/provideraccounts/{provider_account_id}

Update a provider accounts to:

  1. Update account credentials when the user has changed the authentication information at the the provider site.
  2. Post MFA information for the MFA-enabled provider accounts during add and update accounts.

If the credentials have to be updated, one of the following should be provided:

  1. LoginForm
  2. Field array

The loginForm or the field array are the objects under the provider object that is obtained from the get provider details service response. The credentials provided by the user should be embedded in the loginForm or field array object. Similar to credentials, the MFA information should be embedded in the loginForm or field array object.

Authorization

oauth2 - password
oauth2 - authorizationCode
oauth2 - clientCredentials
apiKey - Authorization

Request Parameters

1 Path Parameter
6 Headers

Request Body

Update credentials

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
consent_id
integer

Consent ID created for the Provider

4 validations
login_form
object

Responses

1 Example
Schema
object
$schema: http://json-schema.org/draft-04/schema#
consent
object
id
number

Provider Account ID

1 validation
provider_id
number
1 validation
editable
boolean
1 validation
refresh_status
object
login_form
object

Send a Test Request

Send requests directly from the browser (CORS must be enabled)
Path Params
1 path param not set
provider_account_id
$$.env
1 variable not set
Authorization